---
title: 'Get token gate status'
description: 'Pass in to see if a token is eligible for minting'
openapi: GET /api/minting/token_gate
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/minting/token_gate` — query parameters: `network`, `collectionAddress`, `tokenId`, `mintingContractAssetId`, `mintingContractId`

`GET https://admin.snagsolutions.io/api/minting/token_gate`

Pass in to see if a token is eligible for minting

## Authentication

No authentication required.

## Query parameters

- `network` (string, required)
- `collectionAddress` (string, required)
- `tokenId` (string, required)
- `mintingContractAssetId` (string, required)
- `mintingContractId` (string, required)

## Response 200

200
  - response (object)
    - `eligible` (boolean, required)
    - `message` (string, required)


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
